# $Revision: 1.16 $, $Date: 2010/12/11 21:38:42 $
%define		_modname	tcpwrap
%define		_status		stable
Summary:	%{_modname} - tcpwrapper bindings
Summary(pl.UTF-8):	%{_modname} - dowiązania tcpwrapper
Name:		php-pecl-%{_modname}
Version:	1.1.3
Release:	3
License:	PHP 3.01
Group:		Development/Languages/PHP
Source0:	http://pecl.php.net/get/%{_modname}-%{version}.tgz
# Source0-md5:	6db26ebbf6c59fedf2228e662fe78e3e
URL:		http://pecl.php.net/package/tcpwrap/
BuildRequires:	libwrap-devel
BuildRequires:	php-devel >= 3:5.0.0
BuildRequires:	rpmbuild(macros) >= 1.344
%{?requires_php_extension}
Requires:	php-common >= 4:5.0.4
Obsoletes:	php-pear-%{_modname}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This package handles /etc/hosts.allow and /etc/hosts.deny files.

In PECL status of this package is: %{_status}.

%description -l pl.UTF-8
Za pomocą tego pakietu możliwa jest obsługa plików /etc/hosts.allow
oraz /etc/hosts.deny.

To rozszerzenie ma w PECL status: %{_status}.

%prep
%setup -q -c

%build
cd %{_modname}-%{version}
phpize
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{php_sysconfdir}/conf.d,%{php_extensiondir}}

install %{_modname}-%{version}/modules/%{_modname}.so $RPM_BUILD_ROOT%{php_extensiondir}
cat <<'EOF' > $RPM_BUILD_ROOT%{php_sysconfdir}/conf.d/%{_modname}.ini
; Enable %{_modname} extension module
extension=%{_modname}.so
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%post
%php_webserver_restart

%postun
if [ "$1" = 0 ]; then
	%php_webserver_restart
fi

%files
%defattr(644,root,root,755)
%doc %{_modname}-%{version}/{CREDITS,EXPERIMENTAL}
%config(noreplace) %verify(not md5 mtime size) %{php_sysconfdir}/conf.d/%{_modname}.ini
%attr(755,root,root) %{php_extensiondir}/%{_modname}.so

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: php-pecl-tcpwrap.spec,v $
Revision 1.16  2010/12/11 21:38:42  arekm
- release 3

Revision 1.15  2010/06/02 15:53:45  glen
- release 2

Revision 1.14  2009/04/26 17:17:17  adamg
- license fixes Andrzej Mateja <amateja () pimpek.one.pl>

Revision 1.13  2008/07/19 09:22:10  adamg
- updated to 1.1.3

Revision 1.12  2007/02/13 08:06:40  glen
- tabs in preamble

Revision 1.11  2007/02/12 01:06:25  baggins
- converted to UTF-8

Revision 1.10  2007/01/02 20:10:21  glen
- use new php extension related macros

Revision 1.9  2006/11/02 23:09:09  glen
- BR rpmmacros for fixed %requires_php_extension

Revision 1.8  2005/10/29 00:05:14  glen
- rebuild with zts and debug requires

Revision 1.7  2005/09/14 13:37:00  glen
- conf.d and php api macros

Revision 1.6  2005/09/13 21:16:43  glen
- superfluous BR libtool removed

Revision 1.5  2005/09/12 12:36:19  glen
- ./adapter -s

Revision 1.4  2004/05/30 16:01:38  adamg
- fixed english information about status of the package (also s/PEAR/PECL/)

Revision 1.3  2003/10/25 15:01:19  adamg
- updated to 1.0

Revision 1.2  2003/10/21 23:58:32  adamg
- added some BR:

Revision 1.1  2003/10/21 23:47:29  adamg
- almost raw initial import

